Bug 244930 - textproc/docproj: Switch to uses groff
Summary: textproc/docproj: Switch to uses groff
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: doceng
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-03-20 08:18 UTC by Dries Michiels
Modified: 2020-03-22 09:08 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (doceng)


Attachments
docproj.diff (3.14 KB, patch)
2020-03-20 08:18 UTC, Dries Michiels
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dries Michiels 2020-03-20 08:18:15 UTC
Created attachment 212545 [details]
docproj.diff

Simplify the makefile quite a bit by switching to uses=groff.
Comment 1 Mateusz Piotrowski freebsd_committer 2020-03-21 22:02:12 UTC
I'll take a look.
Comment 2 commit-hook freebsd_committer 2020-03-21 23:09:05 UTC
A commit references this bug:

Author: 0mp
Date: Sat Mar 21 23:08:06 UTC 2020
New revision: 528887
URL: https://svnweb.freebsd.org/changeset/ports/528887

Log:
  Modernize the handling of the GROFF option

  PR:		244930
  Submitted by:	Dries Michiels <driesm.michiels@gmail.com>
  Approved by:	doceng

Changes:
  head/textproc/docproj/Makefile
Comment 3 Mateusz Piotrowski freebsd_committer 2020-03-21 23:12:09 UTC
Thanks a lot for the patch -- nice catch! I've improved the patch a little bit, I hope you don't mind ;)
Comment 4 Dries Michiels 2020-03-22 09:08:17 UTC
Thanks! Makes indeed sense to keep the option 0:-)